{"openapi": "3.1.0", "info": {"title": "MiniWebtool API", "version": "1.0", "description": "MiniWebtool API provides ready-made JSON endpoints for calculators, converters, text utilities, hashes, finance math, random tools, and webmaster utilities. Every endpoint is versioned, billed from a single credit pool, and usable from any HTTP client or MCP agent."}, "paths": {"/v1/health": {"get": {"operationId": "miniwebtool_apiv1_api_health", "summary": "Health check", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["system"]}}, "/v1/whoami": {"get": {"operationId": "miniwebtool_apiv1_api_whoami", "summary": "Introspect the current API key", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["system"], "security": [{"ApiKeyAuth": []}]}}, "/v1/tools": {"get": {"operationId": "miniwebtool_apiv1_api_list_tools", "summary": "List all available tools", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["system"]}}, "/v1/tools/grams-to-ounces-converter/run": {"post": {"operationId": "post_grams_to_ounces_converter", "summary": "Convert grams to ounces, pounds, kilograms, and milligrams.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/grams-to-ounces-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/WeightIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/ounce-to-gram-converter/run": {"post": {"operationId": "post_ounce_to_gram_converter", "summary": "Convert ounces to grams, kilograms, milligrams, and pounds.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/ounce-to-gram-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/OunceToGramIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/square-feet-to-acres-converter/run": {"post": {"operationId": "post_square_feet_to_acres_converter", "summary": "Convert square feet to acres and related land-area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/square-feet-to-acres-converter/)", "tags": ["Math \u00b7 Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AreaIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/square-miles-to-acres-converter/run": {"post": {"operationId": "post_square_miles_to_acres_converter", "summary": "Convert square miles to acres and related land-area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/square-miles-to-acres-converter/)", "tags": ["Math \u00b7 Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AreaIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/hectares-to-acres-converter/run": {"post": {"operationId": "post_hectares_to_acres_converter", "summary": "Convert hectares to acres and related land-area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/hectares-to-acres-converter/)", "tags": ["Math \u00b7 Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AreaIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/square-meters-to-acres-converter/run": {"post": {"operationId": "post_square_meters_to_acres_converter", "summary": "Convert square meters to acres and related land-area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/square-meters-to-acres-converter/)", "tags": ["Math \u00b7 Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SquareMetersToAcresIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/tablespoons-to-cups-converter/run": {"post": {"operationId": "post_tablespoons_to_cups_converter", "summary": "Convert US tablespoons to cups, teaspoons, fluid ounces, and milliliters.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/tablespoons-to-cups-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TablespoonsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/tablespoons-to-teaspoons-converter/run": {"post": {"operationId": "post_tablespoons_to_teaspoons_converter", "summary": "Convert US tablespoons to teaspoons, cups, fluid ounces, and milliliters.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/tablespoons-to-teaspoons-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TablespoonsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/teaspoons-to-tablespoons-converter/run": {"post": {"operationId": "post_teaspoons_to_tablespoons_converter", "summary": "Convert US teaspoons to tablespoons, cups, fluid ounces, and milliliters.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/teaspoons-to-tablespoons-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TeaspoonsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/radian-to-degree-converter/run": {"post": {"operationId": "post_radian_to_degree_converter", "summary": "Convert radians, fractions, or pi expressions to degrees.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/radian-to-degree-converter/)", "tags": ["Math \u00b7 Angles"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RadianToDegreeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/absolute-value-calculator/run": {"post": {"operationId": "post_absolute_value_calculator", "summary": "Calculate the absolute value of a real or complex number.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/absolute-value-calculator/)", "tags": ["Math \u00b7 Basic Math"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AbsoluteValueIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/acres-to-hectares-converter/run": {"post": {"operationId": "post_acres_to_hectares_converter", "summary": "Convert between acres and hectares with related area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/acres-to-hectares-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AcresToHectaresIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/acres-to-square-feet-converter/run": {"post": {"operationId": "post_acres_to_square_feet_converter", "summary": "Convert between acres and square feet with related area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/acres-to-square-feet-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AcresToSquareFeetIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/acres-to-square-meters-converter/run": {"post": {"operationId": "post_acres_to_square_meters_converter", "summary": "Convert between acres and square meters with related area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/acres-to-square-meters-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AcresToSquareMetersIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/area-of-a-circle-calculator/run": {"post": {"operationId": "post_area_of_a_circle_calculator", "summary": "Calculate circle radius, diameter, circumference, and area from one value.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/area-of-a-circle-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AreaOfCircleIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/area-of-a-trapezoid-calculator/run": {"post": {"operationId": "post_area_of_a_trapezoid_calculator", "summary": "Calculate trapezoid area from two parallel bases and height.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/area-of-a-trapezoid-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AreaOfTrapezoidIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/area-of-an-ellipse-calculator/run": {"post": {"operationId": "post_area_of_an_ellipse_calculator", "summary": "Calculate ellipse area, Ramanujan perimeter, foci, and eccentricity.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/area-of-an-ellipse-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AreaOfEllipseIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/arc-length-calculator/run": {"post": {"operationId": "post_arc_length_calculator", "summary": "Solve arc length, radius, or central angle for a circle sector.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/arc-length-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ArcLengthIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/area-of-a-sector-calculator/run": {"post": {"operationId": "post_area_of_a_sector_calculator", "summary": "Calculate sector area, arc length, perimeter, chord, and segment area.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/area-of-a-sector-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AreaOfSectorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/acreage-calculator/run": {"post": {"operationId": "post_acreage_calculator", "summary": "Calculate land acreage from rectangle, triangle, or circle dimensions.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/acreage-calculator/)", "tags": ["Math \u00b7 Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AcreageCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/carpet-calculator/run": {"post": {"operationId": "post_carpet_calculator", "summary": "Estimate carpet area, waste, roll length, padding, installation, and cost.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/carpet-calculator/)", "tags": ["Construction \u00b7 Materials"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CarpetCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/decking-calculator/run": {"post": {"operationId": "post_decking_calculator", "summary": "Estimate decking boards, joists, beams, posts, fasteners, and waste.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/decking-calculator/)", "tags": ["Construction \u00b7 Materials"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DeckingCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/square-footage-calculator/run": {"post": {"operationId": "post_square_footage_calculator", "summary": "Calculate square footage for common room, lot, and curved shapes.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/square-footage-calculator/)", "tags": ["Math \u00b7 Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SquareFootageCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/tile-calculator/run": {"post": {"operationId": "post_tile_calculator", "summary": "Estimate tile count, boxes, grout, adhesive, sealer, waste, and optional cost.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/tile-calculator/)", "tags": ["Construction \u00b7 Materials"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TileCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/wallpaper-calculator/run": {"post": {"operationId": "post_wallpaper_calculator", "summary": "Estimate wallpaper drops, rolls, waste, coverage, and optional cost.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/wallpaper-calculator/)", "tags": ["Construction \u00b7 Materials"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/WallpaperCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/voltage-divider-calculator/run": {"post": {"operationId": "post_voltage_divider_calculator", "summary": "Calculate voltage divider output or solve for R1 or R2.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/voltage-divider-calculator/)", "tags": ["Electronics \u00b7 Circuits"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/VoltageDividerCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/voltage-drop-calculator/run": {"post": {"operationId": "post_voltage_drop_calculator", "summary": "Calculate electrical voltage drop for AWG copper or aluminum wire runs.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/voltage-drop-calculator/)", "tags": ["Electronics \u00b7 Wiring"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/VoltageDropCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/transformer-calculator/run": {"post": {"operationId": "post_transformer_calculator", "summary": "Calculate transformer turns ratio, secondary voltage, current, power, and impedance ratio.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/transformer-calculator/)", "tags": ["Electronics \u00b7 Circuits"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TransformerCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/torque-converter-nm-ft-lb-kgf-cm/run": {"post": {"operationId": "post_torque_converter_nm_ft_lb_kgf_cm", "summary": "Convert torque between Nm, ft-lb, in-lb, kgf-cm, kgf-m, dyn-cm, oz-in, and oz-ft.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/torque-converter-nm-ft-lb-kgf-cm/)", "tags": ["Converters \u00b7 Torque"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TorqueConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/cups-to-grams-converter/run": {"post": {"operationId": "post_cups_to_grams_converter", "summary": "Convert cups to grams for common cooking ingredients.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/cups-to-grams-converter/)", "tags": ["Cooking \u00b7 Conversion"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CupsToGramsConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/dough-hydration-calculator/run": {"post": {"operationId": "post_dough_hydration_calculator", "summary": "Calculate dough hydration, required water, or a simple baker's percentage recipe.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/dough-hydration-calculator/)", "tags": ["Cooking \u00b7 Baking"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DoughHydrationCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/decimal-to-time-converter/run": {"post": {"operationId": "post_decimal_to_time_converter", "summary": "Convert decimal hours to hours, minutes, and seconds.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/decimal-to-time-converter/)", "tags": ["Datetime \u00b7 Time"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DecimalToTimeConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/fuel-efficiency-converter-mpg-l-100km-km-l/run": {"post": {"operationId": "post_fuel_efficiency_converter_mpg_l_100km_km_l", "summary": "Convert MPG, L/100km, km/L, and miles/L fuel-efficiency values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/fuel-efficiency-converter-mpg-l-100km-km-l/)", "tags": ["Conversion \u00b7 Fuel"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FuelEfficiencyConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/fraction-to-mixed-number-converter/run": {"post": {"operationId": "post_fraction_to_mixed_number_converter", "summary": "Convert an improper fraction to a simplified mixed number.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/fraction-to-mixed-number-converter/)", "tags": ["Math \u00b7 Fractions"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FractionToMixedNumberConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/factorial-calculator/run": {"post": {"operationId": "post_factorial_calculator", "summary": "Calculate factorial metadata, exact values for bounded inputs, and scientific notation.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/factorial-calculator/)", "tags": ["Math \u00b7 Number Theory"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FactorialCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/fibonacci-number-checker/run": {"post": {"operationId": "post_fibonacci_number_checker", "summary": "Check whether a non-negative integer is in the Fibonacci sequence.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/fibonacci-number-checker/)", "tags": ["Math \u00b7 Number Theory"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FibonacciNumberCheckerIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/doubling-time-calculator/run": {"post": {"operationId": "post_doubling_time_calculator", "summary": "Calculate exact doubling time, Rule of 72 estimates, or the rate required to double.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/doubling-time-calculator/)", "tags": ["Finance \u00b7 Interest"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DoublingTimeCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/exponential-growth-calculator/run": {"post": {"operationId": "post_exponential_growth_calculator", "summary": "Solve continuous exponential growth equations for final amount, initial amount, rate, or time.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/exponential-growth-calculator/)", "tags": ["Math \u00b7 Advanced"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ExponentialGrowthCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/exponential-decay-calculator/run": {"post": {"operationId": "post_exponential_decay_calculator", "summary": "Solve continuous exponential decay equations for final amount, initial amount, rate, or time.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/exponential-decay-calculator/)", "tags": ["Math \u00b7 Advanced"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ExponentialDecayCalculatorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/angle-converter/run": {"post": {"operationId": "post_angle_converter", "summary": "Convert angles between degrees, radians, gradians, turns, arcminutes, arcseconds, and milliradians.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/angle-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AngleConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/decimal-to-octal-converter/run": {"post": {"operationId": "post_decimal_to_octal_converter", "summary": "Convert a base-10 integer to octal with division steps.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/decimal-to-octal-converter/)", "tags": ["Math \u00b7 Number Systems"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DecimalToOctalIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/teaspoons-to-cups-converter/run": {"post": {"operationId": "post_teaspoons_to_cups_converter", "summary": "Convert US teaspoons and cups, including tablespoons and fluid ounces.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/teaspoons-to-cups-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TeaspoonsToCupsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/cups-to-tablespoons-converter/run": {"post": {"operationId": "post_cups_to_tablespoons_converter", "summary": "Convert US cups and tablespoons, including teaspoons and fluid ounces.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/cups-to-tablespoons-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CupsToTablespoonsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/gallons-to-cups-converter/run": {"post": {"operationId": "post_gallons_to_cups_converter", "summary": "Convert US gallons and cups, with quart and pint equivalents.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/gallons-to-cups-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/GallonsToCupsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/rgb-to-hex-converter/run": {"post": {"operationId": "post_rgb_to_hex_converter", "summary": "Convert RGB channels to hex, HSL, HSV, CMYK, and relative luminance.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/rgb-to-hex-converter/)", "tags": ["Dev \u00b7 Color"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RgbToHexIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/remove-accent/run": {"post": {"operationId": "post_remove_accent", "summary": "Remove accents and combining marks from Unicode text.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/remove-accent/)", "tags": ["Text \u00b7 Modification"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RemoveAccentIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/acres-to-square-yards-converter/run": {"post": {"operationId": "post_acres_to_square_yards_converter", "summary": "Convert acres and square yards, including related area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/acres-to-square-yards-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AcresToSquareYardsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/acres-to-square-miles-converter/run": {"post": {"operationId": "post_acres_to_square_miles_converter", "summary": "Convert acres and square miles, including related land-area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/acres-to-square-miles-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AcresToSquareMilesIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/acres-to-perches-converter/run": {"post": {"operationId": "post_acres_to_perches_converter", "summary": "Convert acres and perches for land area calculations.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/acres-to-perches-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AcresToPerchesIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/perches-to-acres-converter/run": {"post": {"operationId": "post_perches_to_acres_converter", "summary": "Convert perches and acres for land area calculations.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/perches-to-acres-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PerchesToAcresIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/square-yards-to-acres-converter/run": {"post": {"operationId": "post_square_yards_to_acres_converter", "summary": "Convert square yards and acres, including related area units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/square-yards-to-acres-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SquareYardsToAcresIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/psi-to-kpa-converter/run": {"post": {"operationId": "post_psi_to_kpa_converter", "summary": "Convert pounds per square inch to kilopascals and related pressure units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/psi-to-kpa-converter/)", "tags": ["Science \u00b7 Pressure"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PsiToKpaIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/bar-to-psi-converter/run": {"post": {"operationId": "post_bar_to_psi_converter", "summary": "Convert bar and PSI, including kPa, MPa, atm, torr, inHg, and Pa.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/bar-to-psi-converter/)", "tags": ["Science \u00b7 Pressure"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BarToPsiIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/cm-to-inches-converter/run": {"post": {"operationId": "post_cm_to_inches_converter", "summary": "Convert centimeters to inches, feet/inches, and nearest 1/16-inch fraction.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/cm-to-inches-converter/)", "tags": ["Math \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CmToInchesIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/binary-to-decimal-converter/run": {"post": {"operationId": "post_binary_to_decimal_converter", "summary": "Convert a binary number to decimal, hexadecimal, and octal.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/binary-to-decimal-converter/)", "tags": ["Math \u00b7 Number Systems"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BinaryIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/binary-to-hex-converter/run": {"post": {"operationId": "post_binary_to_hex_converter", "summary": "Convert a binary number to hexadecimal with nibble grouping.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/binary-to-hex-converter/)", "tags": ["Math \u00b7 Number Systems"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BinaryToHexIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/antilog-calculator/run": {"post": {"operationId": "post_antilog_calculator", "summary": "Calculate an antilogarithm as base raised to an exponent.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/antilog-calculator/)", "tags": ["Math \u00b7 Advanced Math"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AntilogIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/arccos-calculator/run": {"post": {"operationId": "post_arccos_calculator", "summary": "Calculate inverse cosine in radians and degrees.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/arccos-calculator/)", "tags": ["Math \u00b7 Trigonometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ArccosIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/arctan-calculator/run": {"post": {"operationId": "post_arctan_calculator", "summary": "Calculate inverse tangent in radians and degrees.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/arctan-calculator/)", "tags": ["Math \u00b7 Trigonometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ArctanIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/angle-between-vectors-calculator/run": {"post": {"operationId": "post_angle_between_vectors_calculator", "summary": "Calculate the angle between two 2D or 3D vectors.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/angle-between-vectors-calculator/)", "tags": ["Math \u00b7 Linear Algebra"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AngleBetweenVectorsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/angle-bisector-calculator/run": {"post": {"operationId": "post_angle_bisector_calculator", "summary": "Calculate triangle angle bisectors, angles, area, and inradius from side lengths.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/angle-bisector-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AngleBisectorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/baker-s-percentage-calculator/run": {"post": {"operationId": "post_baker_s_percentage_calculator", "summary": "Scale bread ingredients from flour weight and baker's percentages.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/baker-s-percentage-calculator/)", "tags": ["Cooking \u00b7 Ratios"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BakersPercentageIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/batting-average-calculator/run": {"post": {"operationId": "post_batting_average_calculator", "summary": "Calculate baseball batting average from hits and at-bats.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/batting-average-calculator/)", "tags": ["Sports \u00b7 Baseball"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BattingAverageIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/binomial-coefficient-calculator/run": {"post": {"operationId": "post_binomial_coefficient_calculator", "summary": "Calculate C(n, k), the number of combinations choosing k items from n.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/binomial-coefficient-calculator/)", "tags": ["Math \u00b7 Combinatorics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BinomialCoefficientIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/board-foot-calculator/run": {"post": {"operationId": "post_board_foot_calculator", "summary": "Calculate lumber volume in board feet, cubic volume, weight, and optional cost.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/board-foot-calculator/)", "tags": ["Construction \u00b7 Lumber"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BoardFootIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/battery-life-calculator/run": {"post": {"operationId": "post_battery_life_calculator", "summary": "Estimate battery runtime from capacity, consumption, and efficiency.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/battery-life-calculator/)", "tags": ["Electronics \u00b7 Runtime"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BatteryLifeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/555-timer-calculator/run": {"post": {"operationId": "post_555_timer_calculator", "summary": "Calculate 555 timer astable frequency, period, duty cycle, or monostable pulse width.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/555-timer-calculator/)", "tags": ["Science \u00b7 Electronics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/Timer555In"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/astronomical-unit-converter/run": {"post": {"operationId": "post_astronomical_unit_converter", "summary": "Convert astronomical distances among AU, light-time, parsecs, kilometers, and miles.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/astronomical-unit-converter/)", "tags": ["Science \u00b7 Astronomy"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AstronomicalUnitIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/butter-to-oil-converter/run": {"post": {"operationId": "post_butter_to_oil_converter", "summary": "Convert butter quantities to practical oil equivalents for baking.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/butter-to-oil-converter/)", "tags": ["Math \u00b7 Cooking"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ButterToOilIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/capacitor-calculator/run": {"post": {"operationId": "post_capacitor_calculator", "summary": "Calculate capacitor charge, stored energy, reactance, RC timing, or decode ceramic capacitor codes.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/capacitor-calculator/)", "tags": ["Science \u00b7 Electronics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CapacitorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/sine-calculator/run": {"post": {"operationId": "post_sine_calculator", "summary": "Calculate sine with radians/degrees conversion, quadrant, and special-angle recognition.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/sine-calculator/)", "tags": ["Math \u00b7 Trigonometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TrigIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/cosine-calculator/run": {"post": {"operationId": "post_cosine_calculator", "summary": "Calculate cosine with radians/degrees conversion, quadrant, and special-angle recognition.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/cosine-calculator/)", "tags": ["Math \u00b7 Trigonometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TrigIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/tangent-calculator/run": {"post": {"operationId": "post_tangent_calculator", "summary": "Calculate tangent and flag vertical-asymptote inputs.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/tangent-calculator/)", "tags": ["Math \u00b7 Trigonometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TrigIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/cpc-calculator/run": {"post": {"operationId": "post_cpc_calculator", "summary": "Calculate CPC, CPM, or CTR from two known campaign metrics.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/cpc-calculator/)", "tags": ["Webmaster \u00b7 Advertising"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CpcIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/cpm-calculator/run": {"post": {"operationId": "post_cpm_calculator", "summary": "Calculate campaign cost, CPM, or impressions from two known advertising metrics.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/cpm-calculator/)", "tags": ["Webmaster \u00b7 Advertising"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CpmIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/pythagorean-theorem-calculator/run": {"post": {"operationId": "post_pythagorean_theorem_calculator", "summary": "Find a missing right-triangle side and calculate area, perimeter, and angles.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/pythagorean-theorem-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PythagoreanIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/daily-time-savings-calculator/run": {"post": {"operationId": "post_daily_time_savings_calculator", "summary": "Calculate yearly, monthly, and weekly time saved from a small daily savings habit.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/daily-time-savings-calculator/)", "tags": ["Miscellaneous \u00b7 Time"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DailyTimeSavingsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/angel-number-calculator/run": {"post": {"operationId": "post_angel_number_calculator", "summary": "Find recurring angel-number interpretations or derive one from a birth date.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/angel-number-calculator/)", "tags": ["Lifestyle \u00b7 Numerology"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AngelNumberIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/anova-calculator/run": {"post": {"operationId": "post_anova_calculator", "summary": "Run one-way ANOVA with F statistic, p-value, table components, and effect sizes.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/anova-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AnovaIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/ascii-art-generator/run": {"post": {"operationId": "post_ascii_art_generator", "summary": "Generate deterministic ASCII banner art from short text.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/ascii-art-generator/)", "tags": ["Text \u00b7 Formatting"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AsciiArtIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/autumnal-equinox-day/run": {"post": {"operationId": "post_autumnal_equinox_day", "summary": "Return autumn equinox date, UTC time, seasonal markers, and optional countdown data.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/autumnal-equinox-day/)", "tags": ["Datetime \u00b7 Seasons"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AutumnalEquinoxDayIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/bac-calculator/run": {"post": {"operationId": "post_bac_calculator", "summary": "Estimate blood alcohol content using standard-drink counts and the Widmark formula.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/bac-calculator/)", "tags": ["Lifestyle \u00b7 Health"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BacIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/bar-graph-maker/run": {"post": {"operationId": "post_bar_graph_maker", "summary": "Prepare normalized bar-chart data from labels and numeric values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/bar-graph-maker/)", "tags": ["Math \u00b7 Charts"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BarGraphIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/bench-press-calculator/run": {"post": {"operationId": "post_bench_press_calculator", "summary": "Estimate bench press one-rep max, formula comparisons, and training zones.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/bench-press-calculator/)", "tags": ["Lifestyle \u00b7 Fitness"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BenchPressIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/biological-age-calculator/run": {"post": {"operationId": "post_biological_age_calculator", "summary": "Estimate biological age from lifestyle and health-factor adjustments.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/biological-age-calculator/)", "tags": ["Lifestyle \u00b7 Health"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BiologicalAgeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/bmr-calculator/run": {"post": {"operationId": "post_bmr_calculator", "summary": "Calculate BMR, RMR estimate, TDEE, macro estimates, and activity-level calorie needs.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/bmr-calculator/)", "tags": ["Lifestyle \u00b7 Fitness"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BmrIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/log-base-10-calculator/run": {"post": {"operationId": "post_log_base_10_calculator", "summary": "Calculate common logarithms with bounds and an antilog check.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/log-base-10-calculator/)", "tags": ["Math \u00b7 Logarithms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LogBase10In"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/log-base-2-calculator/run": {"post": {"operationId": "post_log_base_2_calculator", "summary": "Calculate binary logarithms and detect exact powers of two.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/log-base-2-calculator/)", "tags": ["Math \u00b7 Logarithms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LogBase2In"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/midpoint-calculator/run": {"post": {"operationId": "post_midpoint_calculator", "summary": "Find the midpoint, distance, slope, and angle between two points.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/midpoint-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MidpointIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/momentum-calculator/run": {"post": {"operationId": "post_momentum_calculator", "summary": "Calculate linear momentum and kinetic energy from mass and velocity.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/momentum-calculator/)", "tags": ["Science \u00b7 Physics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MomentumIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/mixed-number-to-fraction-converter/run": {"post": {"operationId": "post_mixed_number_to_fraction_converter", "summary": "Convert a mixed number to an improper fraction and simplified form.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/mixed-number-to-fraction-converter/)", "tags": ["Math \u00b7 Fractions"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MixedNumberToFractionIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/morse-code-generator/run": {"post": {"operationId": "post_morse_code_generator", "summary": "Convert text to International Morse code with character breakdown.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/morse-code-generator/)", "tags": ["Text \u00b7 Encoding"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MorseCodeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/ohm-s-law-calculator/run": {"post": {"operationId": "post_ohm_s_law_calculator", "summary": "Calculate voltage, current, resistance, and power from any two known values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/ohm-s-law-calculator/)", "tags": ["Science \u00b7 Electronics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/OhmsLawIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/outlier-calculator/run": {"post": {"operationId": "post_outlier_calculator", "summary": "Detect IQR outliers and return quartiles, bounds, and counts.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/outlier-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/OutlierIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/pangram-checker/run": {"post": {"operationId": "post_pangram_checker", "summary": "Check whether text contains every letter A through Z.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/pangram-checker/)", "tags": ["Text \u00b7 Analysis"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PangramIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/list-difference-calculator/run": {"post": {"operationId": "post_list_difference_calculator", "summary": "Compare two line-based lists and return differences, intersection, and union.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/list-difference-calculator/)", "tags": ["Text \u00b7 Lists"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ListDifferenceIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/sample-mean-calculator/run": {"post": {"operationId": "post_sample_mean_calculator", "summary": "Calculate sample mean plus core descriptive statistics for a numeric dataset.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/sample-mean-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SampleMeanIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/percent-growth-rate-calculator/run": {"post": {"operationId": "post_percent_growth_rate_calculator", "summary": "Calculate total percent change, simple annual growth, CAGR, and multiplier.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/percent-growth-rate-calculator/)", "tags": ["Math \u00b7 Percentages"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PercentGrowthRateIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/perfect-number-checker/run": {"post": {"operationId": "post_perfect_number_checker", "summary": "Classify a positive integer as perfect, abundant, or deficient.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/perfect-number-checker/)", "tags": ["Math \u00b7 Number Theory"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PerfectNumberIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/permutation-calculator/run": {"post": {"operationId": "post_permutation_calculator", "summary": "Calculate P(n,r), where order matters and repetition is not allowed.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/permutation-calculator/)", "tags": ["Math \u00b7 Combinatorics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PermutationIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/permutations-with-repetition-calculator/run": {"post": {"operationId": "post_permutations_with_repetition_calculator", "summary": "Calculate n^r ordered arrangements where items can repeat.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/permutations-with-repetition-calculator/)", "tags": ["Math \u00b7 Combinatorics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PermutationsWithRepetitionIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/probability-calculator/run": {"post": {"operationId": "post_probability_calculator", "summary": "Compute basic, conditional, Bayes, and complement probabilities.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/probability-calculator/)", "tags": ["Math \u00b7 Probability"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ProbabilityIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/proportion-calculator/run": {"post": {"operationId": "post_proportion_calculator", "summary": "Solve or verify a proportion a/b = c/d from three or four values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/proportion-calculator/)", "tags": ["Math \u00b7 Ratios"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ProportionIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/reduce-fractions-calculator/run": {"post": {"operationId": "post_reduce_fractions_calculator", "summary": "Reduce a proper, improper, or mixed fraction to lowest terms.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/reduce-fractions-calculator/)", "tags": ["Math \u00b7 Fractions"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ReduceFractionsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/relative-standard-deviation-calculator/run": {"post": {"operationId": "post_relative_standard_deviation_calculator", "summary": "Calculate RSD, coefficient of variation, and precision quality for data.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/relative-standard-deviation-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RelativeStandardDeviationIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/standard-error-calculator/run": {"post": {"operationId": "post_standard_error_calculator", "summary": "Calculate standard error of the mean and a z-based confidence interval.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/standard-error-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/StandardErrorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/mean-absolute-deviation-calculator/run": {"post": {"operationId": "post_mean_absolute_deviation_calculator", "summary": "Calculate mean or median absolute deviation for a numeric dataset.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/mean-absolute-deviation-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MeanAbsoluteDeviationIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/median-absolute-deviation-calculator/run": {"post": {"operationId": "post_median_absolute_deviation_calculator", "summary": "Calculate raw and scaled median absolute deviation as a robust spread measure.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/median-absolute-deviation-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MedianAbsoluteDeviationIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/parallel-resistor-calculator/run": {"post": {"operationId": "post_parallel_resistor_calculator", "summary": "Calculate equivalent resistance and current sharing for resistors in parallel.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/parallel-resistor-calculator/)", "tags": ["Science \u00b7 Electrical"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ParallelResistorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/point-slope-form-calculator/run": {"post": {"operationId": "post_point_slope_form_calculator", "summary": "Build point-slope, slope-intercept, and standard-form line equations.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/point-slope-form-calculator/)", "tags": ["Math \u00b7 Algebra"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PointSlopeFormIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/point-to-plane-distance-calculator/run": {"post": {"operationId": "post_point_to_plane_distance_calculator", "summary": "Calculate the distance from a 3D point to a plane Ax + By + Cz + D = 0.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/point-to-plane-distance-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PointToPlaneDistanceIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/polar-to-cartesian-converter/run": {"post": {"operationId": "post_polar_to_cartesian_converter", "summary": "Convert polar coordinates to Cartesian x and y coordinates.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/polar-to-cartesian-converter/)", "tags": ["Math \u00b7 Coordinate Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PolarToCartesianIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/polygon-diagonals-calculator/run": {"post": {"operationId": "post_polygon_diagonals_calculator", "summary": "Calculate the number of diagonals and angle facts for a polygon.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/polygon-diagonals-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PolygonDiagonalsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/power-factor-calculator/run": {"post": {"operationId": "post_power_factor_calculator", "summary": "Calculate power factor, reactive power, or capacitor correction values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/power-factor-calculator/)", "tags": ["Science \u00b7 Electrical"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PowerFactorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/quartile-deviation-calculator/run": {"post": {"operationId": "post_quartile_deviation_calculator", "summary": "Calculate quartile deviation, IQR fences, and outliers for numeric data.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/quartile-deviation-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/QuartileDeviationIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/rc-time-constant-calculator/run": {"post": {"operationId": "post_rc_time_constant_calculator", "summary": "Calculate RC circuit time constant, cutoff frequency, and charging or discharging levels.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/rc-time-constant-calculator/)", "tags": ["Science \u00b7 Electrical"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RcTimeConstantIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/bowling-score-calculator/run": {"post": {"operationId": "post_bowling_score_calculator", "summary": "Score a ten-pin bowling game from roll values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/bowling-score-calculator/)", "tags": ["Math \u00b7 Sports"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BowlingScoreIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/box-and-whisker-plot-maker/run": {"post": {"operationId": "post_box_and_whisker_plot_maker", "summary": "Compute box plot statistics, whiskers, fences, and outliers.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/box-and-whisker-plot-maker/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BoxAndWhiskerIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/buzzword-bingo-generator/run": {"post": {"operationId": "post_buzzword_bingo_generator", "summary": "Generate a deterministic buzzword bingo board from a term list and seed.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/buzzword-bingo-generator/)", "tags": ["Text \u00b7 Generators"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/BuzzwordBingoIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/chi-square-test-calculator/run": {"post": {"operationId": "post_chi_square_test_calculator", "summary": "Run a chi-square goodness-of-fit test for observed and expected counts.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/chi-square-test-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ChiSquareTestIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/christmas-tree-calculator/run": {"post": {"operationId": "post_christmas_tree_calculator", "summary": "Check tree height fit and estimate lights, ornaments, and garland.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/christmas-tree-calculator/)", "tags": ["Math \u00b7 Lifestyle"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ChristmasTreeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/commute-life-wasted-calculator/run": {"post": {"operationId": "post_commute_life_wasted_calculator", "summary": "Estimate weekly, yearly, and career time spent commuting.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/commute-life-wasted-calculator/)", "tags": ["Math \u00b7 Time"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CommuteLifeWastedIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/cron-job-generator/run": {"post": {"operationId": "post_cron_job_generator", "summary": "Generate a cron expression from common schedule presets.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/cron-job-generator/)", "tags": ["Dev \u00b7 Scheduling"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CronJobIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/crontab-expression-generator/run": {"post": {"operationId": "post_crontab_expression_generator", "summary": "Build and validate a crontab expression from individual fields.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/crontab-expression-generator/)", "tags": ["Dev \u00b7 Scheduling"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CrontabExpressionIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/curvature-calculator/run": {"post": {"operationId": "post_curvature_calculator", "summary": "Calculate curvature and radius of curvature for a quadratic function.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/curvature-calculator/)", "tags": ["Math \u00b7 Calculus"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CurvatureIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/debt-consolidation-calculator/run": {"post": {"operationId": "post_debt_consolidation_calculator", "summary": "Estimate a consolidated debt payment and interest cost.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 2 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/debt-consolidation-calculator/)", "tags": ["Finance \u00b7 Debt"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DebtConsolidationIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/arcsin-calculator/run": {"post": {"operationId": "post_arcsin_calculator", "summary": "Calculate arcsine from a sine value, including degree/radian output and special-angle recognition.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/arcsin-calculator/)", "tags": ["Math \u00b7 Trigonometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ArcsinIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/arctan2-calculator/run": {"post": {"operationId": "post_arctan2_calculator", "summary": "Calculate atan2(y, x), normalized angle, radius, slope, and quadrant.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/arctan2-calculator/)", "tags": ["Math \u00b7 Trigonometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/Arctan2In"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/arithmetic-mean-calculator/run": {"post": {"operationId": "post_arithmetic_mean_calculator", "summary": "Calculate arithmetic mean, median, modes, range, variance, and standard deviation from a number list.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/arithmetic-mean-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MeanTextIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/geometric-mean-calculator/run": {"post": {"operationId": "post_geometric_mean_calculator", "summary": "Calculate geometric mean and compare it with arithmetic, harmonic, median, minimum, and maximum values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/geometric-mean-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MeanTextIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/harmonic-mean-calculator/run": {"post": {"operationId": "post_harmonic_mean_calculator", "summary": "Calculate harmonic mean for positive non-zero values with comparison means and reciprocal totals.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/harmonic-mean-calculator/)", "tags": ["Math \u00b7 Statistics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MeanTextIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/fraction-simplifier/run": {"post": {"operationId": "post_fraction_simplifier", "summary": "Reduce a fraction to lowest terms and return GCF, mixed number, decimal, percentage, and equivalents.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/fraction-simplifier/)", "tags": ["Math \u00b7 Fractions"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FractionSimplifierIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/fraction-to-decimal-calculator/run": {"post": {"operationId": "post_fraction_to_decimal_calculator", "summary": "Convert proper, improper, or mixed fractions to decimals and detect repeating decimal patterns.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/fraction-to-decimal-calculator/)", "tags": ["Math \u00b7 Fractions"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FractionToDecimalIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/fraction-to-percent-converter/run": {"post": {"operationId": "post_fraction_to_percent_converter", "summary": "Convert proper, improper, or mixed fractions to percentages with configurable decimal places.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/fraction-to-percent-converter/)", "tags": ["Math \u00b7 Fractions"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FractionToPercentIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/equivalent-fractions-calculator/run": {"post": {"operationId": "post_equivalent_fractions_calculator", "summary": "Generate equivalent fractions or check whether two fractions are equivalent.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/equivalent-fractions-calculator/)", "tags": ["Math \u00b7 Fractions"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/EquivalentFractionsIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/feet-and-inches-to-cm-converter/run": {"post": {"operationId": "post_feet_and_inches_to_cm_converter", "summary": "Convert feet and inches to total inches, centimeters, meters, and height comparison percentages.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/feet-and-inches-to-cm-converter/)", "tags": ["Math \u00b7 Length"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FeetInchesToCmIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/square-calculator/run": {"post": {"operationId": "post_square_calculator", "summary": "Calculate square side length, area, perimeter, diagonal, inradius, and circumradius from one known value.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/square-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SquareIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/rectangle-calculator/run": {"post": {"operationId": "post_rectangle_calculator", "summary": "Calculate rectangle area, perimeter, diagonal, radii, and aspect ratio from two known values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/rectangle-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RectangleIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/volume-of-a-cube-calculator/run": {"post": {"operationId": "post_volume_of_a_cube_calculator", "summary": "Calculate cube volume, surface area, face area, diagonals, and total edge length.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/volume-of-a-cube-calculator/)", "tags": ["Math \u00b7 Volume"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CubeVolumeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/volume-of-a-cone-calculator/run": {"post": {"operationId": "post_volume_of_a_cone_calculator", "summary": "Calculate cone volume, slant height, base area, lateral area, and total surface area.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/volume-of-a-cone-calculator/)", "tags": ["Math \u00b7 Volume"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ConeVolumeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/volume-of-a-pyramid-calculator/run": {"post": {"operationId": "post_volume_of_a_pyramid_calculator", "summary": "Calculate volume, base area, slant height, and surface area for square, rectangular, or triangular pyramids.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/volume-of-a-pyramid-calculator/)", "tags": ["Math \u00b7 Volume"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PyramidVolumeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/volume-of-a-rectangular-prism-calculator/run": {"post": {"operationId": "post_volume_of_a_rectangular_prism_calculator", "summary": "Calculate rectangular prism volume, surface area, diagonals, base perimeter, and total edge length.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/volume-of-a-rectangular-prism-calculator/)", "tags": ["Math \u00b7 Volume"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RectangularPrismVolumeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/volume-of-ellipsoid-calculator/run": {"post": {"operationId": "post_volume_of_ellipsoid_calculator", "summary": "Calculate ellipsoid volume, approximate surface area, cross sections, equivalent sphere radius, and shape type.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/volume-of-ellipsoid-calculator/)", "tags": ["Math \u00b7 Volume"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/EllipsoidVolumeIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/surface-area-of-a-cube-calculator/run": {"post": {"operationId": "post_surface_area_of_a_cube_calculator", "summary": "Calculate cube surface area and related measurements from edge, diagonal, volume, or surface area.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/surface-area-of-a-cube-calculator/)", "tags": ["Math \u00b7 Surface Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CubeSurfaceAreaIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/surface-area-of-a-cone-calculator/run": {"post": {"operationId": "post_surface_area_of_a_cone_calculator", "summary": "Calculate cone base, lateral, and total surface area from radius-height, radius-slant, or diameter-height inputs.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/surface-area-of-a-cone-calculator/)", "tags": ["Math \u00b7 Surface Area"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ConeSurfaceAreaIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/regular-polygon-calculator/run": {"post": {"operationId": "post_regular_polygon_calculator", "summary": "Calculate regular polygon area, perimeter, apothem, circumradius, angles, and diagonal count.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/regular-polygon-calculator/)", "tags": ["Math \u00b7 Geometry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RegularPolygonIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/force-calculator/run": {"post": {"operationId": "post_force_calculator", "summary": "Solve Newton's second law for force, mass, or acceleration with common unit conversions.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/force-calculator/)", "tags": ["Science \u00b7 Physics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ForceIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/velocity-calculator/run": {"post": {"operationId": "post_velocity_calculator", "summary": "Calculate average velocity, distance, time, or relative velocity with distance, time, and speed units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/velocity-calculator/)", "tags": ["Science \u00b7 Physics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/VelocityIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/torque-calculator/run": {"post": {"operationId": "post_torque_calculator", "summary": "Solve torque, force, lever arm distance, or angle using tau = F r sin(theta).", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/torque-calculator/)", "tags": ["Science \u00b7 Physics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/TorqueIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/kinetic-energy-calculator/run": {"post": {"operationId": "post_kinetic_energy_calculator", "summary": "Solve kinetic energy, mass, or velocity with KE = 1/2 m v^2 and unit conversions.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/kinetic-energy-calculator/)", "tags": ["Science \u00b7 Physics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/KineticEnergyIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/potential-energy-calculator/run": {"post": {"operationId": "post_potential_energy_calculator", "summary": "Calculate gravitational or elastic potential energy and solve for missing variables.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/potential-energy-calculator/)", "tags": ["Science \u00b7 Physics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PotentialEnergyIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/energy-converter/run": {"post": {"operationId": "post_energy_converter", "summary": "Convert energy between joules, calories, BTU, watt-hours, electronvolts, ergs, and therms.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/energy-converter/)", "tags": ["Science \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/EnergyConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/power-converter/run": {"post": {"operationId": "post_power_converter", "summary": "Convert power among watts, kilowatts, horsepower, BTU per hour, refrigeration tons, and related units.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/power-converter/)", "tags": ["Science \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PowerConverterIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/decibel-db-calculator/run": {"post": {"operationId": "post_decibel_db_calculator", "summary": "Calculate power dB, voltage dB, dB ratios, and dBm/dBW/watt conversions.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/decibel-db-calculator/)", "tags": ["Science \u00b7 Electronics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DecibelIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/resonant-frequency-calculator/run": {"post": {"operationId": "post_resonant_frequency_calculator", "summary": "Calculate LC/RLC resonant frequency, inductance, capacitance, impedance, Q factor, and bandwidth.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/resonant-frequency-calculator/)", "tags": ["Science \u00b7 Electronics"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ResonantFrequencyIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/ultimate-frequency-wavelength-converter/run": {"post": {"operationId": "post_ultimate_frequency_wavelength_converter", "summary": "Convert between frequency and wavelength using a configurable propagation speed and identify the spectrum band.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/ultimate-frequency-wavelength-converter/)", "tags": ["Science \u00b7 Unit Converters"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FrequencyWavelengthIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/percentage-error-calculator/run": {"post": {"operationId": "post_percentage_error_calculator", "summary": "Calculate percent error between estimated and actual values.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/percentage-error-calculator/)", "tags": ["Math \u00b7 Percentage"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PercentageErrorIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/percent-yield-calculator/run": {"post": {"operationId": "post_percent_yield_calculator", "summary": "Solve percent yield, actual yield, or theoretical yield.", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "**Credit cost:** 1 per call. **Version:** `2026-04-22`.\n\n**Try it:** [Interactive playground + 7-language snippets](/tools/percent-yield-calculator/)", "tags": ["Science \u00b7 Chemistry"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PercentYieldIn"}}}, "required": true}, "security": [{"ApiKeyAuth": []}]}}, "/v1/tools/percent-to-ppm-converter/run": {"post": {"operationId": "post
[...]
